var A, c, dg, r, RR, s, y, yt, yn;

varexo uA;

parameters psi rhoL n1 alpha chit gamma omega kappaA kappaG kappaRR kappadg rhoA rhodg rhoR xi alphaN kappaC phipi kappam sigma thetay phi;

//Get parameter values saved earlier

load second_paper_params.mat;          

model(linear);
// Consumer FOC
    0 = -c + c(+1) - sigma*r + thetay*(y-y(+1));
    0 = -yn + y - alpha*rhoL/(1+(1-alpha)*rhoL)*(xi-phi)*s;
    0 = -yt + y + alpha*rhoL/(1+(1-alpha)*rhoL)*(1+phi)*s;
    0 = -(1-alpha+psi)/alpha*y - c - phi*s;
// Market Clearing
    0 = -alphaN*yn + n1*kappaC*c + (1-n1)*kappaC*chit*s + kappaA*A + (kappaG*xi + kappaA)*s - kappadg*(dg - dg(-1));
    0 = -(1-alphaN)*yt + (1-n1)*kappaC*c - (1-n1)*kappaC*chit*s - kappaA*A + kappaRR*(RR - RR(-1));
// Policy and accumulation of public capital
    0 = -dg + rhodg*dg(-1) + (1-gamma)*kappaA/kappadg*A;
    0 = -RR + rhoR*RR(-1) + (1-omega)*kappaA/kappaRR*A;
// Stochastic processes
    0 = -A + rhoA*A(-1) + uA;
end;


//get steady state values saved earlier
load second_paper_ssvals.mat;

initval;
A       =	A_ss	;
c       =	c_ss	;
dg      =   dg_ss   ;
r	=	r_ss	;
RR  =   RR_ss   ;
s	=	s_ss	; 
y   =   y_ss    ;
yn	=	yn_ss	;
yt	=	yt_ss	;
end;

//steady;

shocks;
var uA; stderr 2;
end;

check;

stoch_simul(periods=100, noprint,  irf=20);