% Note: model is in logs
%I. Assign parameter values and save them for dynare 
clear all;

psi     = 2;                 % related to the inverse of the Frisch labor supply elasticity
rhoL    = 3;               % elasticity of substitution between the two types of labor
n1      = 0.6;               % weight of non-traded goods in the private basket
alpha   = 0.70;             
chit    = 0.85;              % elasticity of substitution between traded and non-traded goods
gamma   = 0;                 % aid spending
omega   = 1;                 % sale of aid dollars by the CB
alphaN  = 0.75;              % share of non-tradeables in production
kappaA  = 0.078;             % aid-to-GDP ratio
kappaG  = 0.182;             % government spending share
kappaRR = 0.066;             % Reserves to GDP ratio
kappadg = 0.026;             % Government deposits to GDP ratio   
rhoA    = 0.6;             % persistence of aid process
rhodg    = 0.9;               % Persistence of real deposit accumulation
rhoR    = 0.9;               % persistence of reserve accumulation
% Solving for steady state share of consumption
kappaC  = 1-kappaG+kappaA;
% Solving for home bias in consumption
n1      = (alphaN-kappaG)/kappaC;
xi      = (1-n1)/n1;
gammahat    = 0.38;          % share of dynamic consumers
Gamma_IS    = (kappaC*psi + alpha - (1-gammahat)*(alpha)*(psi+1))^(-1);
sigma       =  gammahat*(alpha+kappaC*psi)*Gamma_IS;        % economy wide intertemporal elasticity of substitution
thetay      = (1-gammahat)*(psi+1)*psi*Gamma_IS;           % economy wide marginal propensity to consume
phi         = kappaA + xi*kappaG;
save second_paper_params.mat psi rhoL n1 alpha chit gamma omega kappaA kappaG kappaRR kappadg rhoA rhodg rhoR xi alphaN kappaC gammahat sigma thetay phi

A_ss        =	0;
c_ss        =	0;
dg_ss       =   0;
r_ss        =   0;
RR_ss       =   0;
s_ss        =	0;
y_ss        =	0;
yn_ss       =	0;
yt_ss       =	0;
% Save steady state as initial guess for mt_model_v12_dyn.mod
save second_paper_ssvals.mat  A_ss	c_ss dg_ss r_ss RR_ss	s_ss y_ss yn_ss yt_ss;
 %III. Run Dynare
 dynare second_paper_dyn
 